### Method

# Gtk FileDialogset_filters

since: 4.10

#### Declaration [src]

    void
    gtk_file_dialog_set_filters (
      GtkFileDialog* self,
      GListModel* filters
    )

#### Description [src]

Sets the filters that will be offered to the user in the file chooser dialog.

Available since: 4.10

Sets property | `Gtk.FileDialog:filters`

#### Parameters

`filters`

  Type: `GObject`

  A `GListModel` of `GtkFileFilters`

  The argument can be `NULL`.
  The data is owned by the caller of the method.